#include <iostream>
#include <serial.h>

using namespace cppbox;

int main()
{
    char buffer[512]{};
    char buffer2[512]{};
    std::snprintf(buffer2, sizeof(buffer2), "%s", "Hello/000\r\n");
    
    CSerialOpr opr;

    opr.set_baudrate(19200);
    opr.set_data_bits(DataBits::D8);
    opr.set_flow_control(FlowControl::NoFlowControl);
    opr.set_parity(Parity::EvenParity);
    opr.set_port("COM2");
    opr.set_timeout(5 * 1000);
    opr.set_stop_bits(StopBits::OneStop);

    if (opr.open() != 0) {
        return false;
    }

    int read_size = opr.read(buffer);
    if (read_size > 0) {
        std::cout << "要发送的数据大小：" << strlen(buffer2) << "\n";
        int write_size = opr.write(buffer2, static_cast<int>(strlen(buffer2)));
        std::cout << "实际发送的数据大小：" << write_size << "\n";
    }

    return 0;
}